<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Detecting Supply Chain Attacks In Browsers — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `audit --lockfile <val>` | Audit frontend dependencies |
| `verify --url <val> --check <val>` | Verify CDN and SRI integrity |
| `scan --lockfile <val> --check <val>` | Scan for supply chain indicators |
| `report --format <val>` | Generate supply chain report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--lockfile` | string | Yes | Lockfile parameter |
| `--url` | string | Yes | Url parameter |
| `--check` | string | Yes | Check parameter |
| `--format` | string | Yes | Format parameter |
